/*body {*/
/*background: url("../background_clear.png") no-repeat center fixed;*/
/*background-size: cover;*/
/*}*/

/*ladowanie wheel*/
.loader {
    border: 16px solid #343a40;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/*ladowanie bar*/

#myProgress {
    width: 100%;
    background-color: #ddd;
}

#myBar {
    width: 1%;
    height: 30px;
    background-color: #4CAF50;
    text-align: center;
    line-height: 30px;
    color: white;
}

.check-for-home-raportowanie {
    color: green;
    size: 30px;
}

.height-200-px{
    height: 200px;
}

.card-login {
    max-width: 360px;
}

.small-table-tx-max-width-100 {
    max-width: 100px !important;
}
.small-table-tx-max-width-150 {
    max-width: 150px !important;
}
.small-table-tx-max-width-200 {
    max-width: 200px !important;
}
.small-table-tx-max-width-250 {
    max-width: 250px !important;
}
.small-table-tx-max-width-300 {
    max-width: 300px !important;
}
.small-table-tx-max-width-400 {
    max-width: 400px !important;
}
.small-table-tx-max-width-500 {
    max-width: 500px !important;
}

#mainNav {
    font-family: 'Open Sans', 'Helvetica Neue', Arial, sans-serif;
}

#mainNav .navbar-brand:focus, #mainNav .navbar-brand:hover {
    color: white;
}

#mainNav .navbar-nav > li.nav-item > a.nav-link, #mainNav .navbar-nav > li.nav-item > a.nav-link:focus {
    font-size: .9rem;
    font-weight: 700;
    text-transform: uppercase;
    color: rgba(255,255,255,0.8);
}

/*popup w home.blade do wyswietlania usera*/
.popupHomeBlade {
    position: relative;
    display: inline-block;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* The actual popup */
.popupHomeBlade .popuptext {
    visibility: hidden;
    width: 460px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 8px 0;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -80px;
}

/* Popup arrow */
.popupHomeBlade .popuptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

/* Toggle this class - hide and show the popup */
.popupHomeBlade .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}

/* Add animation (fade in the popup) */
@-webkit-keyframes fadeIn {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes fadeIn {
    from {opacity: 0;}
    to {opacity:1 ;}
}
/*konic popupa do usera w home blade*/

.search-input-for-slowniki {
    width: auto;
    padding: 6px;
    border: none;
    margin-top: 8px;
    margin-right: 16px;
    font-size: 17px;
}

.search-input-for-tabelki {
    margin: 0 ;
    width: auto;
    /*max-width: 150px;*/
    padding: 6px;
    border: none;
    font-size: 17px;
}

select {
    -webkit-padding-end: 20px;
    -moz-padding-end: 20px;
    -webkit-padding-start: 2px;
    -moz-padding-start: 2px;
    background-color: whitesmoke; /* fallback color if gradients are not supported */
    background-position: center right;
    background-repeat: no-repeat;
    border: 1px solid #AAA;
    border-radius: 2px;
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.1);
    color: #555;
    font-size: inherit;
    margin: 0;
    overflow: hidden;
    padding-top: 2px;
    padding-bottom: 2px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.container .own-item-list li {
    text-decoration: none;
    list-style: none;

    margin-bottom: 1rem;
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

nav > .container > div > ul > li > a {
    border-radius: 0px;
    border-width: 0px;
    /*background-color: #51565a;*/
}

.bg-dark {
    background-color: #343a40 !important;
}

a.bg-dark:hover, a.bg-dark:focus,
button.bg-dark:hover,
button.bg-dark:focus {
    background-color: #1d2124 !important;
}

/* Sortable tables */
table.sortable thead {
    background-color:#eee;
    color:#666666;
    font-weight: bold;
    cursor: default;
}

.bor-rad {
    border-radius: 9px;
    color: white;
}
.display-none{
    display: none;
}

.margin-td-auto {
    margin-top: auto;
    margin-bottom: auto;
}

.dropdown-menu a {
    color: white;
    background-color: #343a40;
}

.margin-top-20px {
    margin-top: 20px;

}

.index-table {
    width: auto;
    max-width: 100%;
    margin-bottom: 1rem;
    background-color: transparent;
}

.index-table td, th {
    min-width: 76px;
    width: auto;
    padding: 0.75rem;
    vertical-align: top;
    border-bottom: 1px solid #dee2e6;
    border-top: 1px solid #dee2e6;
}

.index-table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #dee2e6;
}

.index-table tr:hover {
    background-color: rgba(210, 210, 244, 0.3);
}

.second-td-table {
    max-width: 20px !important;
}

.description-tr:hover {
    background-color: transparent !important;
}

.own-button {
    background-color: #007bff;
    border-color: #007bff;
    color: white;
    padding: 15px 32px;
    font-size: 16px;
    border-radius: 10px;
}

.own-button:hover {
    background-color: #0069d9;
    border-color: #0062cc
}

.own-button-two {
    margin: 20px;
    font-weight: bold;
    text-decoration: none;
    color: black;
    padding: 10px 22px;
    font-size: 20px;
    border-radius: 8px;
    border: 2px solid #007bff;
    background-color: transparent;
}

.own-button-two:hover {
    text-decoration: none;
    background-color: #007bff;
    color: white;
}

.auto-width {

    padding: 3px 10px;
    border-radius: 8px;
    width: 100%;
    /*max-width: 70px;*/
}

 footer.sticky-footer {
    position: absolute;
     right: 0;
     bottom: 0;
     width: 100%;
     height: 56px;
     background-color: #e9ecef;
     line-height: 55px;
 }
/*bullets points on kosztPojazdu*/
.list-ic a {
    color: #788288;
    text-decoration: none;
}

.list-ic li {
    position: relative;
}

.list-ic li span {
    display: inline-block;
    font-weight: 800;
    width: 2em;
    height: 2em;
    text-align: center;
    line-height: 2em;
    border-radius: 1em;
    background: #007bff;
    color: white;
    position: relative;
}

.list-ic li::before {
    content: '';
    position: absolute;
    background: cornflowerblue;
    z-index: -1;
}

.list-ic.vertical {
    padding: 0;
    margin: 0;
}

.list-ic.vertical li {
    list-style-type: none;
    text-align: left;
}

.list-ic.vertical li span {
    margin: 1.4em 0;
}

.list-ic.vertical li::before {
    top: -35px;
    left: 13px;
    width: 0.2em;
    height: 4em;
}

.list-ic li:first-child::before {
    display: none;
}

.list-ic .active {
    background: dodgerblue;
}

.list-ic .active ~ li {
    background: lightblue;
}

.list-ic .active ~ li::before {
    background: lightblue;
}

/*bulet points on home blade*/

/*bullets points on kosztPojazdu*/
.list-ic-home-blade a {
    color: #788288;
    text-decoration: none;
}

.list-ic-home-blade li {
    position: relative;
}

.list-ic-home-blade li span {
    display: inline-block;
    font-weight: 800;
    width: 2em;
    height: 2em;
    text-align: center;
    line-height: 2.2em;
    border-radius: 1em;
    background: #ade72a;
    color: white;
    position: relative;
}

.list-ic-home-blade li::before {
    content: '';
    position: absolute;
    background: cornflowerblue;
    z-index: -1;
}

.list-ic-home-blade.vertical {
    padding: 0;
    margin: 0;
}

.list-ic-home-blade.vertical li {
    list-style-type: none;
    text-align: left;
}

.list-ic-home-blade.vertical li span {
    margin: 1.4em 0;
}

.list-ic-home-blade.vertical li::before {
    top: -35px;
    left: 13px;
    width: 0.2em;
    /*height: 4em;*/
}

.list-ic-home-blade li:first-child::before {
    display: none;
}

.list-ic-home-blade .active {
    background: dodgerblue;
}

.list-ic-home-blade .active ~ li {
    background: lightblue;
}

.list-ic-home-blade .active ~ li::before {
    background: lightblue;
}


/*popup zdjecia w przegladaj pojazd*/

/* The Modal (background) */
.modalPOPUP {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}
/* Modal Content (Image) */
.modal-contentPOPUP {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#captionPOPUP {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}
#captionPOPUPQR {
    margin: auto;
    display: block;
    width: 250px;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 250px;
}

/* Add Animation - Zoom in the Modal */
.modal-contentPOPUP, #captionPOPUP {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoomPOPUP {
    from {transform:scale(0)}
    to {transform:scale(1)}
}

/* The Close Button */
.closePOPUP {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.closePOPUP:hover,
.closePOPUP:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
    .modal-contentPOPUP {
        width: 100%;
    }
}